Subject: mboned: Re: [ssm] IGMPv3/SSM API for Java ?

From: Toerless Eckert <[email-masked]>
Date: Sat, 30 Apr 2005 12:14:55 -0700

Copied to mboned. Would be nice if more people would vote on this bug.

Thanks
    Toerless

On Sat, Apr 30, 2005 at 12:34:19PM +0100, James Lingard wrote:
> Toerless,
> 
> I'm pretty sure you're right that there's no SSM API, though I can't confirm that there's no implicit way of triggering (S,G) membership reports.  The following RFE has been raised in Sun's Java bug database for this issue (though you may need to register in order to view this page):
> 
> http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=4403551
> 
> The standard way of encouraging Sun to get bugs fixed is for lots of people to vote for them.  See:
> 
> http://bugs.sun.com/bugdatabase/top25_bugs.do
> http://bugs.sun.com/bugdatabase/top25_rfes.do
> 
> I think they do actually pay attention to these.  Currently this RFE has only 2 votes (of which one is mine), but if we could encourage lots (i.e. >100) of IETF multicast folks to vote for this bug, something might happen :)
> 
> Other than that, there is something called the Java Community Process (see http://jcp.org/en/home/index) by which new APIs and language features are often developed, although I'm no expert on how this works.
> 
> It also seems that for the next release (J2SE 6.0), Sun are soliciting externally contributed code (see http://java.sun.com/developer/technicalArticles/J2SE/peabody/).  So if there's someone out there with the time to work on this, this route may well be the fastest.
> 
> Hope that helps,
> James.
> 
> -- 
> James Lingard
> Data Connection Ltd (DCL)
> http://www.dataconnection.com/
> 
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Toerless Eckert
> Sent: 30 April 2005 02:49
> To: [email-masked]
> Subject: [ssm] IGMPv3/SSM API for Java ?
> 
> 
> Looking at
> 
>   http://java.sun.com/j2se/1.5.0/docs/api/java/net/MulticastSocket.html
> 
> it looks as if Java does NOT have any SSM API, eg: nothing like
> JoinSourceGroup(). Can anyone more aware of Java confirm this ? Or
> would any Java implementation implicitly trigger at least an IGMPv3
> INCLUDE({S},G) membership report whenever a connected datagram socket
> was bound to a group (get the source address from connect(), get the
> group from JoinGroup() ?) ... I wouldn't think so.. ?
> 
> So, assuming the Java world has ignored SSM so far, what can be done
> to change this ? I wouldn't even know who defines the API (within ?
> outside of Sun ??)
> 
> Thanks
>     Toerless
_______________________________________________________________
user interface: http://darkwing.uoregon.edu/~llynch/mboned.html
web archive:  http://darkwing.uoregon.edu/~llynch/mboned/